For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Insight

Update Insight

PATCH
https://api.vapi.ai/reporting/insight/:id
PATCH
/reporting/insight/:id
$curl -X PATCH https://api.vapi.ai/reporting/insight/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "type": "bar",
3 "createdAt": "2024-01-15T09:30:00Z",
4 "id": "string",
5 "orgId": "string",
6 "queries": [
7 {
8 "type": "vapiql-json",
9 "table": "call",
10 "filters": [
11 {
12 "column": "assistantId",
13 "operator": "=",
14 "value": "string"
15 }
16 ],
17 "column": "id",
18 "operation": "count",
19 "name": "Total Calls"
20 }
21 ],
22 "updatedAt": "2024-01-15T09:30:00Z",
23 "formulas": [
24 {
25 "formula": "string",
26 "name": "Booking Rate"
27 }
28 ],
29 "groupBy": "assistantId",
30 "metadata": {
31 "xAxisLabel": "string",
32 "yAxisLabel": "string",
33 "yAxisMin": 1.1,
34 "yAxisMax": 1.1,
35 "name": "string"
36 },
37 "name": "string",
38 "timeRange": {
39 "step": "minute",
40 "start": "\"2025-01-01\" or \"-7d\" or \"now\"",
41 "end": "\"2025-01-01\" or \"now\"",
42 "timezone": "string"
43 }
44}
Was this page helpful?
Previous

Run Insight

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Request

This endpoint expects an object.
barobjectRequired
OR
pieobjectRequired
OR
lineobjectRequired
OR
textobjectRequired

Response

barobject
OR
pieobject
OR
lineobject
OR
textobject